/* This is a test of the ARexx port in AGMSRecordSound.  It starts up
   AGMSRecordSound, waits a while (for it to finish starting up) then
   lets it record for 5 seconds, then stops the recording. */

SAY "AREXX Script is running AGMSRecordSound."
ADDRESS COMMAND "run AGMSRecordSound file T:JunkSound hz 4000"

SAY "AREXX Script is waiting for the AGMSRecordSound AREXX port to appear."
SAY SHOW("Ports")
DO WHILE ~ SHOW("Ports","AGMSRecordSound")
  SAY "AREXX Script is still waiting for AGMSRecordSound to appear..."
  SAY SHOW("Ports")
  ADDRESS COMMAND "Wait 1 sec"
END
SAY "AREXX Script has found the AGMSRecordSound port."
SAY SHOW("Ports")

SAY "AREXX Script realises that recording is going on.  Waiting for 5 seconds."

ADDRESS COMMAND "Wait 5 sec"

SAY "AREXX Script is stopping the recording."
ADDRESS "AGMSRecordSound" "StopRecording"

SAY "AREXX Script has finished.  Recording should stop soon."
